WinShopAPI docs
ReferenceItem lists

Products / Individual parameters

GET
/api/item-lists/products/individual-parameters

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/products/individual-parameters' \  -H 'Authorization: Bearer <access-token>'
[  {    "decimals": 0,    "id": 0,    "label": "string",    "length": 0,    "maximum": 0,    "minimum": 0,    "name": "string",    "order": 0,    "type": 0  }]
GET
/api/item-lists/products/individual-parameters/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
decimals?integer
Formatint32
id?integer
Formatint32
label?string
length?integer
Formatint32
maximum?number
Formatdecimal
minimum?number
Formatdecimal
name?string
Lengthlength <= 80
order?integer
Formatint32
type?integer
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/products/individual-parameters/0' \  -H 'Authorization: Bearer <access-token>'
{  "decimals": 0,  "id": 0,  "label": "string",  "length": 0,  "maximum": 0,  "minimum": 0,  "name": "string",  "order": 0,  "type": 0}